Notebook[{
 Cell[
  BoxData[{
   RowBox[{"Needs", "[", "\"\<NETLink`\>\"", "]"}],
   RowBox[{"LoadNETAssembly", "[", RowBox[{"\"\<Tinkerforge\>\"", ",", RowBox[{RowBox[{"NotebookDirectory", "[", "]"}], "<>", "\"\<../../..\>\""}]}], "]"}]
  }], "Input"
 ],
 Cell[
  BoxData[{
   RowBox[{"host", "=", "\"\<localhost\>\""}],
   RowBox[{"port", "=", "4223"}],
   RowBox[{"uid", "=", "\"\<XYZ\>\"", RowBox[{"(*", "Change XYZ to the UID of your Color Bricklet", "*)"}]}],
   RowBox[{"
"}],
   RowBox[{"(*", "Create IPConnection and device object", "*)"}],
   RowBox[{"ipcon", "=", RowBox[{"NETNew", "[", "\"\<Tinkerforge.IPConnection\>\"", "]"}]}],
   RowBox[{"c", "=", RowBox[{"NETNew", "[", RowBox[{"\"\<Tinkerforge.BrickletColor\>\"", ",", "uid", ",", "ipcon"}], "]"}]}],
   RowBox[{"ipcon", "@", RowBox[{"Connect", "[", RowBox[{"host", ",", "port"}], "]"}]}],
   RowBox[{"
"}],
   RowBox[{"(*", "Get threshold callbacks with a debounce time of 10 seconds (10000ms)", "*)"}],
   RowBox[{"c", "@", RowBox[{"SetDebouncePeriod", "[", "10000", "]"}]}],
   RowBox[{"
"}],
   RowBox[{"(*", "Callback function for color reached callback", "*)"}],
   RowBox[{RowBox[{"ColorReachedCB", "[", RowBox[{"sender_", ",", "r_", ",", "g_", ",", "b_", ",", "c_"}], "]"}], ":=", "\[IndentingNewLine]", RowBox[{"Module", "[", RowBox[{RowBox[{"{", "}"}], ",", RowBox[{"\[IndentingNewLine]", RowBox[{"Print", "[", RowBox[{"\"\<Color [R]: \>\"", "<>", RowBox[{"ToString", "[", "r", "]"}]}], "]"}], ";", "\[IndentingNewLine]", RowBox[{"Print", "[", RowBox[{"\"\<Color [G]: \>\"", "<>", RowBox[{"ToString", "[", "g", "]"}]}], "]"}], ";", "\[IndentingNewLine]", RowBox[{"Print", "[", RowBox[{"\"\<Color [B]: \>\"", "<>", RowBox[{"ToString", "[", "b", "]"}]}], "]"}], ";", "\[IndentingNewLine]", RowBox[{"Print", "[", RowBox[{"\"\<Color [C]: \>\"", "<>", RowBox[{"ToString", "[", "c", "]"}]}], "]"}], "\[IndentingNewLine]"}]}], "]"}]}],
   RowBox[{"
"}],
   RowBox[{"AddEventHandler", "[", RowBox[{RowBox[{"c", "@", "ColorReachedCallback"}], ",", "ColorReachedCB"}], "]"}],
   RowBox[{"
"}],
   RowBox[{"(*", "Configure threshold for color ", "\"\<greater than 100, 200, 300, 400\>\"", "", "*)"}],
   RowBox[{"option", "=", "Tinkerforge`BrickletColor`THRESHOLDUOPTIONUGREATER"}],
   RowBox[{"c", "@", RowBox[{"SetColorCallbackThreshold", "[", RowBox[{"option", ",", "100", ",", "0", ",", "200", ",", "0", ",", "300", ",", "0", ",", "400", ",", "0"}], "]"}]}],
   RowBox[{"
"}],
   RowBox[{"Input", "[", "\"\<Click OK to exit\>\"", "]"}],
   RowBox[{"
"}],
   RowBox[{"(*", "Clean up", "*)"}],
   RowBox[{"ipcon", "@", RowBox[{"Disconnect", "[", "]"}]}],
   RowBox[{"ReleaseNETObject", "[", "c", "]"}],
   RowBox[{"ReleaseNETObject", "[", "ipcon", "]"}]
  }], "Input"
 ]
}]
