Notebook[{
 Cell[
  BoxData[{
   RowBox[{"Needs", "[", "\"\<NETLink`\>\"", "]"}],
   RowBox[{"LoadNETAssembly", "[", RowBox[{"\"\<Tinkerforge\>\"", ",", RowBox[{RowBox[{"NotebookDirectory", "[", "]"}], "<>", "\"\<../../..\>\""}]}], "]"}]
  }], "Input"
 ],
 Cell[
  BoxData[{
   RowBox[{"host", "=", "\"\<localhost\>\""}],
   RowBox[{"port", "=", "4223"}],
   RowBox[{"uid", "=", "\"\<XYZ\>\"", RowBox[{"(*", "Change XYZ to the UID of your Line Bricklet", "*)"}]}],
   RowBox[{"
"}],
   RowBox[{"(*", "Create IPConnection and device object", "*)"}],
   RowBox[{"ipcon", "=", RowBox[{"NETNew", "[", "\"\<Tinkerforge.IPConnection\>\"", "]"}]}],
   RowBox[{"l", "=", RowBox[{"NETNew", "[", RowBox[{"\"\<Tinkerforge.BrickletLine\>\"", ",", "uid", ",", "ipcon"}], "]"}]}],
   RowBox[{"ipcon", "@", RowBox[{"Connect", "[", RowBox[{"host", ",", "port"}], "]"}]}],
   RowBox[{"
"}],
   RowBox[{"(*", "Get threshold callbacks with a debounce time of 1 second (1000ms)", "*)"}],
   RowBox[{"l", "@", RowBox[{"SetDebouncePeriod", "[", "1000", "]"}]}],
   RowBox[{"
"}],
   RowBox[{"(*", "Callback function for reflectivity reached callback", "*)"}],
   RowBox[{RowBox[{"ReflectivityReachedCB", "[", RowBox[{"sender_", ",", "reflectivity_"}], "]"}], ":=", "\[IndentingNewLine]", RowBox[{"Print", "[", RowBox[{"\"\<Reflectivity: \>\"", "<>", RowBox[{"ToString", "[", "reflectivity", "]"}]}], "]"}]}],
   RowBox[{"AddEventHandler", "[", RowBox[{RowBox[{"l", "@", "ReflectivityReachedCallback"}], ",", "ReflectivityReachedCB"}], "]"}],
   RowBox[{"
"}],
   RowBox[{"(*", "Configure threshold for reflectivity ", "\"\<greater than 2000\>\"", "", "*)"}],
   RowBox[{"option", "=", "Tinkerforge`BrickletLine`THRESHOLDUOPTIONUGREATER"}],
   RowBox[{"l", "@", RowBox[{"SetReflectivityCallbackThreshold", "[", RowBox[{"option", ",", "2000", ",", "0"}], "]"}]}],
   RowBox[{"
"}],
   RowBox[{"Input", "[", "\"\<Click OK to exit\>\"", "]"}],
   RowBox[{"
"}],
   RowBox[{"(*", "Clean up", "*)"}],
   RowBox[{"ipcon", "@", RowBox[{"Disconnect", "[", "]"}]}],
   RowBox[{"ReleaseNETObject", "[", "l", "]"}],
   RowBox[{"ReleaseNETObject", "[", "ipcon", "]"}]
  }], "Input"
 ]
}]
