Notebook[{
 Cell[
  BoxData[{
   RowBox[{"Needs", "[", "\"\<NETLink`\>\"", "]"}],
   RowBox[{"LoadNETAssembly", "[", RowBox[{"\"\<Tinkerforge\>\"", ",", RowBox[{RowBox[{"NotebookDirectory", "[", "]"}], "<>", "\"\<../../..\>\""}]}], "]"}]
  }], "Input"
 ],
 Cell[
  BoxData[{
   RowBox[{"host", "=", "\"\<localhost\>\""}],
   RowBox[{"port", "=", "4223"}],
   RowBox[{"uid", "=", "\"\<XYZ\>\"", RowBox[{"(*", "Change XYZ to the UID of your OLED 64x48 Bricklet", "*)"}]}],
   RowBox[{"width", "=", "64"}],
   RowBox[{"height", "=", "48"}],
   RowBox[{"
"}],
   RowBox[{RowBox[{"DrawMatrix", "[", RowBox[{"oled_", ",", "pixels_"}], "]"}], ":=", "\[IndentingNewLine]", RowBox[{"Module", "[", RowBox[{RowBox[{"{", RowBox[{"pages", ",", "row", ",", "column", ",", "bit", ",", "page"}], "}"}], ",", RowBox[{"\[IndentingNewLine]", "pages", "=", RowBox[{"Table", "[", RowBox[{"0", ",", RowBox[{"{", RowBox[{"y", ",", "0", ",", RowBox[{"height", "/", "8", "-", "1"}]}], "}"}], ",", RowBox[{"{", RowBox[{"y", ",", "0", ",", RowBox[{"width", "-", "1"}]}], "}"}]}], "]"}], ";", "\[IndentingNewLine]", RowBox[{"For", "[", RowBox[{RowBox[{"row", "=", "0"}], ",", RowBox[{"row", "<", RowBox[{"Floor", "[", RowBox[{"height", "/", "8"}], "]"}]}], ",", RowBox[{"row", "++"}], ",", RowBox[{"\[IndentingNewLine]", RowBox[{"For", "[", RowBox[{RowBox[{"column", "=", "0"}], ",", RowBox[{"column", "<", "width"}], ",", RowBox[{"column", "++"}], ",", RowBox[{"\[IndentingNewLine]", "page", "=", "0", ";", "\[IndentingNewLine]", RowBox[{"For", "[", RowBox[{RowBox[{"bit", "=", "0"}], ",", RowBox[{"bit", "<", "8"}], ",", RowBox[{"bit", "++"}], ",", RowBox[{"\[IndentingNewLine]", RowBox[{"If", "[", RowBox[{RowBox[{RowBox[{"pixels", "[", RowBox[{"[", RowBox[{"row", "*", "8", "+", "bit", "+", "1"}], "]"}], "]"}], "[", RowBox[{"[", RowBox[{"column", "+", "1"}], "]"}], "]"}], ",", RowBox[{"\[IndentingNewLine]", "page", "=", RowBox[{"BitOr", "[", RowBox[{"page", ",", RowBox[{"BitShiftLeft", "[", RowBox[{"1", ",", "bit"}], "]"}]}], "]"}], "\[IndentingNewLine]"}]}], "]"}], "\[IndentingNewLine]"}]}], "]"}], ";", "\[IndentingNewLine]", RowBox[{"pages", "[", RowBox[{"[", RowBox[{"row", "+", "1"}], "]"}], "]"}], "[", RowBox[{"[", RowBox[{"column", "+", "1"}], "]"}], "]", "=", "page", "\[IndentingNewLine]"}]}], "]"}], "\[IndentingNewLine]"}]}], "]"}], ";", "\[IndentingNewLine]", "oled", "@", RowBox[{"NewWindow", "[", RowBox[{"0", ",", RowBox[{"width", "-", "1"}], ",", "0", ",", RowBox[{RowBox[{"Floor", "[", RowBox[{"height", "/", "8"}], "]"}], "-", "1"}]}], "]"}], ";", "\[IndentingNewLine]", RowBox[{"For", "[", RowBox[{RowBox[{"row", "=", "0"}], ",", RowBox[{"row", "<", RowBox[{"Floor", "[", RowBox[{"height", "/", "8"}], "]"}]}], ",", RowBox[{"row", "++"}], ",", RowBox[{"\[IndentingNewLine]", "oled", "@", RowBox[{"Write", "[", RowBox[{"pages", "[", RowBox[{"[", RowBox[{"row", "+", "1"}], "]"}], "]"}], "]"}], "\[IndentingNewLine]"}]}], "]"}], "\[IndentingNewLine]"}]}], "]"}]}],
   RowBox[{"
"}],
   RowBox[{"(*", "Create IPConnection and device object", "*)"}],
   RowBox[{"ipcon", "=", RowBox[{"NETNew", "[", "\"\<Tinkerforge.IPConnection\>\"", "]"}]}],
   RowBox[{"oled", "=", RowBox[{"NETNew", "[", RowBox[{"\"\<Tinkerforge.BrickletOLED64x48\>\"", ",", "uid", ",", "ipcon"}], "]"}]}],
   RowBox[{"ipcon", "@", RowBox[{"Connect", "[", RowBox[{"host", ",", "port"}], "]"}]}],
   RowBox[{"
"}],
   RowBox[{"(*", "Clear display", "*)"}],
   RowBox[{"oled", "@", RowBox[{"ClearDisplay", "[", "]"}]}],
   RowBox[{"
"}],
   RowBox[{"(*", "Draw checkerboard pattern", "*)"}],
   RowBox[{"pixels", "=", RowBox[{"Table", "[", RowBox[{RowBox[{RowBox[{"Mod", "[", RowBox[{RowBox[{"Floor", "[", RowBox[{"h", "/", "8"}], "]"}], ",", "2"}], "]"}], "==", RowBox[{"Mod", "[", RowBox[{RowBox[{"Floor", "[", RowBox[{"w", "/", "8"}], "]"}], ",", "2"}], "]"}]}], ",", RowBox[{"{", RowBox[{"h", ",", "0", ",", RowBox[{"height", "-", "1"}]}], "}"}], ",", RowBox[{"{", RowBox[{"w", ",", "0", ",", RowBox[{"width", "-", "1"}]}], "}"}]}], "]"}], ";"}],
   RowBox[{"DrawMatrix", "[", RowBox[{"oled", ",", "pixels"}], "]"}],
   RowBox[{"
"}],
   RowBox[{"(*", "Clean up", "*)"}],
   RowBox[{"ipcon", "@", RowBox[{"Disconnect", "[", "]"}]}],
   RowBox[{"ReleaseNETObject", "[", "oled", "]"}],
   RowBox[{"ReleaseNETObject", "[", "ipcon", "]"}]
  }], "Input"
 ]
}]
