Notebook[{
 Cell[
  BoxData[{
   RowBox[{"Needs", "[", "\"\<NETLink`\>\"", "]"}],
   RowBox[{"LoadNETAssembly", "[", RowBox[{"\"\<Tinkerforge\>\"", ",", RowBox[{RowBox[{"NotebookDirectory", "[", "]"}], "<>", "\"\<../../..\>\""}]}], "]"}]
  }], "Input"
 ],
 Cell[
  BoxData[{
   RowBox[{"(*", "For this example connect the RX pin to the TX pin on the same Bricklet", "*)"}],
   RowBox[{"
"}],
   RowBox[{"host", "=", "\"\<localhost\>\""}],
   RowBox[{"port", "=", "4223"}],
   RowBox[{"uid", "=", "\"\<XYZ\>\"", RowBox[{"(*", "Change XYZ to the UID of your RS232 Bricklet 2.0", "*)"}]}],
   RowBox[{"
"}],
   RowBox[{"(*", "Create IPConnection and device object", "*)"}],
   RowBox[{"ipcon", "=", RowBox[{"NETNew", "[", "\"\<Tinkerforge.IPConnection\>\"", "]"}]}],
   RowBox[{"rs232", "=", RowBox[{"NETNew", "[", RowBox[{"\"\<Tinkerforge.BrickletRS232V2\>\"", ",", "uid", ",", "ipcon"}], "]"}]}],
   RowBox[{"ipcon", "@", RowBox[{"Connect", "[", RowBox[{"host", ",", "port"}], "]"}]}],
   RowBox[{"
"}],
   RowBox[{"(*", "Callback function for read callback", "*)"}],
   RowBox[{RowBox[{"ReadCB", "[", RowBox[{"sender_", ",", "message_"}], "]"}], ":=", "\[IndentingNewLine]", RowBox[{"Print", "[", RowBox[{"\"\<Message (Length: \>\"", "<>", RowBox[{"ToString", "[", RowBox[{"N", "[", RowBox[{"Length", "[", "message", "]"}], "]"}], "]"}], "<>", "\"\<): \>\"", "<>", RowBox[{"FromCharacterCode", "[", "message", "]"}]}], "]"}]}],
   RowBox[{"AddEventHandler", "[", RowBox[{RowBox[{"rs232", "@", "ReadCallback"}], ",", "ReadCB"}], "]"}],
   RowBox[{"
"}],
   RowBox[{"(*", "Enable read callback", "*)"}],
   RowBox[{"rs232", "@", RowBox[{"EnableReadCallback", "[", "]"}]}],
   RowBox[{"
"}],
   RowBox[{"(*", "Write ", "\"\<test\>\"", " string", "*)"}],
   RowBox[{"rs232", "@", RowBox[{"Write", "[", RowBox[{"ToCharacterCode", "[", "\"\<test\>\"", "]"}], "]"}]}],
   RowBox[{"
"}],
   RowBox[{"Input", "[", "\"\<Click OK to exit\>\"", "]"}],
   RowBox[{"
"}],
   RowBox[{"(*", "Clean up", "*)"}],
   RowBox[{"ipcon", "@", RowBox[{"Disconnect", "[", "]"}]}],
   RowBox[{"ReleaseNETObject", "[", "rs232", "]"}],
   RowBox[{"ReleaseNETObject", "[", "ipcon", "]"}]
  }], "Input"
 ]
}]
